git.net

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Remove airflow from pypi


+1 for having a placeholder for security reason. Not sure about adding
dependency on apache-airflow tho--if the warning is overlooked and stuff
starting to break because of backward incompatibility, it can be quite
confusing.

Cheers,
Kevin Y

On Sat, Nov 24, 2018 at 5:19 PM soma dhavala <soma.dhavala@xxxxxxxxx> wrote:

>
>
> > On Nov 25, 2018, at 5:02 AM, George Leslie-Waksman <waksman@xxxxxxxxx>
> wrote:
> >
> > It's probably a good idea to put something at "airflow", even if it
> > just fails to install and tells people to install apache-airflow
> > instead.
> >
> > If not, there's a risk someone squats the name airflow and puts up
> > something malicious.
> >
>
> + 1
>
> > --George
> > On Fri, Nov 23, 2018 at 11:44 AM Driesprong, Fokko <fokko@xxxxxxxxxxxxxx>
> wrote:
> >>
> >> Thanks Dan for picking this up quickly.
> >>
> >> Op vr 23 nov. 2018 om 18:31 schreef Kaxil Naik <kaxilnaik@xxxxxxxxx>:
> >>
> >>> Thanks Dan
> >>>
> >>> On Fri, Nov 23, 2018 at 3:44 PM Dan Davydov
> <ddavydov@xxxxxxxxxxx.invalid>
> >>> wrote:
> >>>
> >>>> This could potentially break builds for some users but I feel the pros
> >>>> mentioned outweigh this, I went ahead and deleted it.
> >>>>
> >>>> On Fri, Nov 23, 2018 at 10:18 AM Bolke de Bruin <bdbruin@xxxxxxxxx>
> >>> wrote:
> >>>>
> >>>>> Agree! This is even a security issue.
> >>>>>
> >>>>> Sent from my iPhone
> >>>>>
> >>>>>> On 23 Nov 2018, at 15:29, Driesprong, Fokko <fokko@xxxxxxxxxxxxxx>
> >>>>> wrote:
> >>>>>>
> >>>>>> Hi all,
> >>>>>>
> >>>>>> I think we should remove airflow <https://pypi.org/project/airflow/
> >
> >>>>> (not
> >>>>>> apache-airflow) from Pypi. I still get questions from people who
> >>>>>> accidentally install Airflow 1.8.0. I see this is maintained
> >>>>>> by mistercrunch, artwr, aeon. Anyone any objections?
> >>>>>>
> >>>>>> Cheers, Fokko
> >>>>>
> >>>>
> >>>
> >>>
> >>> --
> >>> *Kaxil Naik*
> >>> *Big Data Consultant *@ *Data Reply UK*
> >>> *Certified *Google Cloud Data Engineer | *Certified* Apache Spark &
> Neo4j
> >>> Developer
> >>> *Phone: *+44 (0) 74820 88992
> >>> *LinkedIn*: https://www.linkedin.com/in/kaxil
> >>>
>
>